Middleware argus interoperability

From EGIWiki
Jump to: navigation, search

Starting from March 2013, as part of the UMD quality criteria products requiring authentication are tested for the interoperability between argus and other middleware components. The following tables collects the products tested so far during the UMD software provisioning process.


UMD-3

Product name Version Released in UMD update # Argus support Tested in UMD* Available in production Comments GGUS ticket
DPM 1.8.6 Planned for UMD 3.0.0 NO NO NO
dCache not released in UMD NO
VOMS 3.0.0 not released in UMD NO
StoRM 1.11.0 not released in UMD YES YES NO Not available in production (failed during verification but authorization was working well)
CREAM-CE 1.15.1 not released in UMD YES YES NO
WMS 3.5.0 Planned for UMD 3.0.0 YES YES YES Because SL6 uses the NSS library instead of OpenSSL, the proxy are not correctly handled. It is a known problem in NSS, and will not be corrected soon. GGUS
glexec-wn 1.2.0 Planed for UMD 3.0.0 YES YES NO
  • Argus 1.6.0 from UMD-3 used

UMD-2

Product name Version Released in UMD update # Argus support Tested in UMD Comments GGUS ticket
DPM 1.8.6 UMD2.4.0 NO
dCache NO
VOMS NO
SRM YES NO
CREAM-CE YES NO
WMS YES NO